import request from '@/utils/request'

// 查询APS产品信息列表
export function listProduct(query) {
  return request({
    url: '/aps_product/product/list',
    method: 'get',
    params: query
  })
}

// 查询APS产品信息详细
export function getProduct(sequenceId) {
  return request({
    url: '/aps_product/product/' + sequenceId,
    method: 'get'
  })
}

// 新增APS产品信息
export function addProduct(data) {
  return request({
    url: '/aps_product/product',
    method: 'post',
    data: data
  })
}

// 修改APS产品信息
export function updateProduct(data) {
  return request({
    url: '/aps_product/product',
    method: 'put',
    data: data
  })
}

// 删除APS产品信息
export function delProduct(sequenceId) {
  return request({
    url: '/aps_product/product/' + sequenceId,
    method: 'delete'
  })
}
